program Check;

{$APPTYPE CONSOLE}

uses
  TestLib, SysUtils;

const
  maxn=100;

var
  s, sa: string;

begin
  s:= trim(ouf.ReadString);
  if not ouf.SeekEof then quit(_PE,'Extra characters in output file.');
  sa:= trim(ans.ReadString);
  if (s<>'YES') and (s<>'NO') then quit(_PE,Format('YES/NO expected, but [%s] found',[s]));
  if s<>sa then quit(_WA,Format('[%s] expected, but [%s] found',[sa,s]));
  quit(_OK,Format('result=%s',[sa]));
end.
